Subject: Re: rstpd implementation

From: Stephen Hemminger <[email-masked]>
Date: Wed, 22 Jun 2016 11:12:12 -0700

On Wed, 22 Jun 2016 12:44:52 -0500
[email-masked] (Eric W. Biederman) wrote:

> Phil <[email-masked]> writes:
> 
> > Hi,
> >
> > When looking for an RSTP daemon I found Stephen Hemminger's
> > git://git.kernel.org/pub/scm/linux/kernel/git/shemminger/rstp.git
> > <https://kernel.googlesource.com/pub/scm/linux/kernel/git/shemminger/rstp#zSoyz>
> > with it's last commit from October 2011.
> >
> > Is this implementation still in good use by anybody - or has it been
> > replaced/superseded by another implementation?
> 
> I don't know and when you get into user space daemons they aren't much
> talked about on the kernel lists.  That said you will likely fair better
> on the netdev list (cc'd).
> 
> Eric

The current one I recommend is the MSTPd done by Cumulus
 https://sourceforge.net/p/mstpd/wiki/Home/
But like all projects they could use help